#pragma once

#include "CoreMinimal.h"
#include "Components/ActorComponent.h"
#include "Templates/SubclassOf.h"
#include "TryksEventComponent.generated.h"

class AAnniversary2024Tryks;

UCLASS(Blueprintable, Abstract, meta=(BlueprintSpawnableComponent))
class UTryksEventComponent : public UActorComponent
{
	GENERATED_BODY()

private:
	UPROPERTY(EditAnywhere, BlueprintReadWrite, meta=(AllowPrivateAccess=true))
	TSubclassOf<AAnniversary2024Tryks> _tryksTemplate;

public:
	UTryksEventComponent();
};

FORCEINLINE uint32 GetTypeHash(const UTryksEventComponent) { return 0; }
